diff --git a/contrib/postgres_fdw/sql/postgres_fdw.sql b/contrib/postgres_fdw/sql/postgres_fdw.sql
index ee9ab37d56..9cc13475f6 100644
--- a/contrib/postgres_fdw/sql/postgres_fdw.sql
+++ b/contrib/postgres_fdw/sql/postgres_fdw.sql
@@ -1935,6 +1935,15 @@ explain (verbose, costs off)
 select * from bar where f1 in (select f1 from foo) for share;
 select * from bar where f1 in (select f1 from foo) for share;
 
+-- Check asynchronous fetch with inheritance
+alter server loopback options (add async_capable 'true');
+create foreign table foo3 (f3 int)
+  server loopback options (table_name 'loct1');
+create foreign table bar3 () inherits(foo3)
+  server loopback options (table_name 'loct2');
+select f1 from foo where f1 in (select f1 from foo3);
+alter server loopback options (drop async_capable);
+
 -- Now check SELECT FOR UPDATE/SHARE with an inherited source table,
 -- where the parent is itself a foreign table
 create table loct4 (f1 int, f2 int, f3 int);
